Auth v3
Reference for the Auth v3 endpoints on Roblox.
Base URL: https://auth.roblox.com
Endpoints
Section titled “Endpoints”| Method | Path | Name |
|---|---|---|
POST |
/v3/logout |
postLogout |
POST |
/v3/users/:userId/two-step-verification/login |
postUsersUseridTwoStepVerificationLogin |
postLogout
Section titled “postLogout”POST /v3/logout
Destroys the current authentication session while reporting metrics like url and reason for logout.
Usage
import { fetchApi } from 'rozod';import { postLogout } from 'rozod/endpoints/authv3';
const data = await fetchApi(postLogout, { body: { /* ... */ }});Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
logoutReason |
string |
|
url |
string |
|
userId |
string |
Response
Section titled “Response”Type: unknown
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 403 | 0: Token Validation Failed |
postUsersUseridTwoStepVerificationLogin
Section titled “postUsersUseridTwoStepVerificationLogin”POST /v3/users/:userId/two-step-verification/login
Authenticates as a user given a two step verification verification token.
Usage
import { fetchApi } from 'rozod';import { postUsersUseridTwoStepVerificationLogin } from 'rozod/endpoints/authv3';
const data = await fetchApi(postUsersUseridTwoStepVerificationLogin, { userId: /* integer */, body: { /* ... */ }});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
userId |
integer |
Yes | The user ID to authenticate as. |
Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
challengeId |
string |
|
verificationToken |
string |
|
rememberDevice |
boolean |
|
secureAuthenticationIntent |
object |
See below |
accountBlob |
string |
|
accountLinkParameters |
object |
See below |
secureAuthenticationIntent fields:
| Field | Type | Description |
|---|---|---|
clientPublicKey |
string |
|
clientEpochTimestamp |
number |
|
saiSignature |
string |
|
serverNonce |
string |
accountLinkParameters fields:
| Field | Type | Description |
|---|---|---|
LinkingPlatform |
`“Invalid” | “Xbox” |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
identityVerificationLoginTicket |
string |
|
accountBlob |
string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: User is invalid. 5: Invalid two step verification ticket. 10: Invalid verification token. |
| 403 | 0: Token Validation Failed 11: Maxium logged in accounts limit reached. |